# Interface CustomViewInterface<R, L>

#### Type Parameters

- #### R

- #### L

#### Hierarchy

- CustomViewInterface

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:19

#####
Index

### Properties

blockChangeCallback?
blockConfig
blockSelectorElement?
modelChangeCallback?

## Properties

### `Optional` blockChangeCallback

blockChangeCallback?: ((plugin, pfvList, stateManager) => void)

#### Type declaration

- - (plugin, pfvList, stateManager): void

  - #### Parameters

    - ##### plugin: StructureViewerPublicInterface<R, L>

    - ##### pfvList: RcsbFv[]

    - ##### stateManager: RcsbFvStateInterface

    #### Returns void

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:24

### blockConfig

blockConfig: FeatureBlockInterface<R, L> | FeatureBlockInterface<R, L>[]

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:21

### `Optional` blockSelectorElement

blockSelectorElement?: ((blockSelector) => Element)

#### Type declaration

- - (blockSelector): Element

  - #### Parameters

    - ##### blockSelector: BlockSelectorManager

    #### Returns Element

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:22

### `Optional` modelChangeCallback

modelChangeCallback?: (() => CustomViewStateInterface<R, L>)

#### Type declaration

- - (): CustomViewStateInterface<R, L>

  - #### Returns CustomViewStateInterface<R, L>

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:23

Generated using TypeDoc